HUGO-COMPLETION-FISH(1)

NAME

hugo-completion-fish - Generate the autocompletion script for fish

SYNOPSIS

hugo completion fish [flags]

DESCRIPTION

Generate the autocompletion script for the fish shell.

To load completions in your current shell session:
    hugo completion fish | source

To load completions for every new session, execute once:
    hugo completion fish > ~/.config/fish/completions/hugo.fish

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for fish

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO

hugo-completion(1)